org.keycloak.services.resources.admin

## Class ComponentResource

- java.lang.Object
- - org.keycloak.services.resources.admin.ComponentResource

-     public class ComponentResource
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ClientConnection` | `clientConnection`
    `protected javax.ws.rs.core.HttpHeaders` | `headers`
    `protected static ServicesLogger` | `logger`
    `protected RealmModel` | `realm`
    `protected KeycloakSession` | `session`
    `protected javax.ws.rs.core.UriInfo` | `uriInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentResource(RealmModel realm, RealmAuth auth, AdminEventBuilder adminEvent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `create(ComponentRepresentation rep)`
    `ComponentRepresentation` | `getComponent(String id)`
    `List<ComponentRepresentation>` | `getComponents(String parent, String type)`
    `void` | `removeComponent(String id)`
    `void` | `updateComponent(String id, ComponentRepresentation rep)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final ServicesLogger logger

    - #### realm

          protected RealmModel realm

    - #### clientConnection

          @Context
          protected ClientConnection clientConnection

    - #### uriInfo

          @Context
          protected javax.ws.rs.core.UriInfo uriInfo

    - #### session

          @Context
          protected KeycloakSession session

    - #### headers

          @Context
          protected javax.ws.rs.core.HttpHeaders headers

  - ### Constructor Detail

    - #### ComponentResource

          public ComponentResource(RealmModel realm,
                                   RealmAuth auth,
                                   AdminEventBuilder adminEvent)

  - ### Method Detail

    - #### getComponents

          @GET
           @Produces(value="application/json")
          public List<ComponentRepresentation> getComponents(@QueryParam(value="parent")
                                                                                                       String parent,
                                                                                                       @QueryParam(value="type")
                                                                                                       String type)

    - #### create

          @POST
           @Consumes(value="application/json")
          public javax.ws.rs.core.Response create(ComponentRepresentation rep)

    - #### getComponent

          @GET
           @Path(value="{id}")
          public ComponentRepresentation getComponent(@PathParam(value="id")
                                                                                String id)

    - #### updateComponent

          @PUT
           @Path(value="{id}")
           @Consumes(value="application/json")
          public void updateComponent(@PathParam(value="id")
                                                                                                     String id,
                                                                                                     ComponentRepresentation rep)

    - #### removeComponent

          @DELETE
           @Path(value="{id}")
          public void removeComponent(@PathParam(value="id")
                                                                   String id)

Copyright © 2016 JBoss by Red Hat. All rights reserved.